﻿:root {
    --font: 'Noto Serif Georgian', Verdana, serif;
    --bg-color: #000000;
    --brand-color: #3498db;
    --bg-color-light: rgb(18, 18, 18);
    --font-color: #ffffff;
    --font-color-input: #000000;
    --font-color-light: #a7a7a7;
    --font-size: 12pt;
    --font-size-small: 9pt;
    --font-size-large: 18pt;
    --width-icon: 30px;
    --width-loader: 70px;
    --border-radius: 12px;
    --border-radius-icon-item: 8px;
    --transition-1: 0.3s;
    --margin-small: 5px;
}

.bk-dark {
    background: var(--bg-color);
}

.bk-light {
    background: var(--bg-color-light);
}

.bk-gradient {
    background: var(--bg-color);
}

.bk-translucent {
    background: rgba(0,0,0,.5);
}

body {
    color: var(--font-color);
    font-family: var(--font);
    font-size: var(--font-size);
}
input, textarea, select {
    color: var(--font-color-input);
}
main {
    padding: 10px;
}

.link-1 {
    display: table-row;
}

img.loose-large {
    display: block;
    width: 400px;
}

img.rigid-large {
    display: block;
    width: 400px;
    height: 400px;
}
img.rigid-large-16x9 {
    display: block;
    width: 400px;
    height: 225px;
}

img.media-product {
    width: 200px;
    height: 200px;
}

img.sponsor-event {
    width: 100px;
    height: 100px;
}

img.media-product-16x9 {
    display: block;
    width: 400px;
    height: 225px;
}

.font-soft {
    color: var(--font-color-light);
}

.font-small {
    font-size: var(--font-size-small);
}

.font-large {
    font-size: var(--font-size-large);
}

.icon-item {
    display: block;
    cursor: pointer;
    padding: var(--margin-small);
    color: var(--font-color-light);
    transition: var(--transition-1);
    border-radius: var(--border-radius-icon-item);
}

.icon-item-selected {
    display: block;
    cursor: pointer;
    padding: var(--margin-small);
    color: var(--font-color);
    transition: var(--transition-1);
    border-radius: var(--border-radius-icon-item);
}

.icon-item:hover {
    color: var(--font-color);
    background: var(--bg-color-light);
}

.icon-item-selected:hover {
    background: var(--bg-color-light);
}

.icon-item img {
    width: var(--width-icon);
    height: var(--width-icon);
    margin-right: var(--margin-small);
}

.icon-item-selected img {
    width: var(--width-icon);
    height: var(--width-icon);
    margin-right: var(--margin-small);
}

.icon-item label {
    cursor: pointer;
    vertical-align: middle;
    display: inline;
    margin: 0;
}

.icon-item-selected label {
    cursor: pointer;
    vertical-align: middle;
    display: inline;
    margin: 0;
}


.clickable {
    display: inline;
    cursor: pointer;
    padding: var(--margin-small);
    color: var(--font-color-light);
    transition: var(--transition-1);
    border-radius: var(--border-radius-icon-item);
}

.clickable:hover {
    color: var(--font-color);
    background: var(--bg-color-light);
}

.clickable-simple {
    display: inline;
    cursor: pointer;
    padding: var(--margin-small);
    color: var(--font-color-light);
    transition: var(--transition-1);
    border-radius: var(--border-radius-icon-item);
}

.button-item {
    background: white;
    color: black;
    padding: 10px 20px;
}

.button-item-2 {
    background: white;
    color: black !important;
    padding: 10px 20px;
    display: inline;
    cursor: pointer;
    color: var(--font-color-light);
    transition: var(--transition-1);
    border-radius: var(--border-radius-icon-item);
}

.button-item-branded {
    background: var(--brand-color);
    color: white;
    padding: 10px 20px;
}

.scrollable-x {
    display: flex;
    overflow-x: scroll;
}

.center {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.middle {
    vertical-align: middle !important;
    margin-top: auto !important;
    margin-bottom: auto !important;
}

.no-padding {
    padding: 0 !important;
    margin: 0 !important;
}

.loader {
  border: 8px solid #f3f3f3;
  border-radius: 50%;
  border-top: 8px solid #3498db;
  width: var(--width-loader);
  height: var(--width-loader);
  -webkit-animation: spin 1s linear infinite; /* Safari */
  animation: spin 1s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}